# Created by pyp2rpm-3.3.1
%global pypi_name cu2qu

Name:           python-%{pypi_name}
Version:        1.6.7.post2
Release:        %mkrel 2
Summary:        Cubic-to-quadratic bezier curve conversion
Group:          Development/Python
License:        ASL2.0
URL:            https://pypi.org/project/cu2qu/
Source0:        %{pypi_source %{pypi_name} %{version} zip}
Patch0:         cu2qu-1.6.5-linking.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3dist(defcon) >= 0.6.0
BuildRequires:  python3dist(fonttools) >= 3.32.0
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This library provides functions which take in UFO objects (Defcon Fonts or
Robofab RFonts) and converts any cubic curves to quadratic.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       cu2qu = %{version}-%{release}

%description -n python3-%{pypi_name}
This library provides functions which take in UFO objects (Defcon Fonts or
Robofab RFonts) and converts any cubic curves to quadratic.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove generated source file
rm -rf Lib/cu2qu/cu2qu.c

%build
export CU2QU_WITH_CYTHON=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{__python3} setup.py test || true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/cu2qu


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 1.6.7.post2-2.mga10
+ Revision: 2031360
- rebuild for py3.12

* Sat Jan 14 2023 wally <wally> 1.6.7.post2-1.mga9
+ Revision: 1932956
- new version 1.6.7.post2
- switch build to pyproject-rpm-macros

* Sun Mar 27 2022 umeabot <umeabot> 1.6.7-4.mga9
+ Revision: 1829357
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 1.6.7-3.mga9
+ Revision: 1782073
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.6.7-2.mga9
+ Revision: 1717383
- rebuild for python 3.9

* Sun Jun 21 2020 wally <wally> 1.6.7-1.mga8
+ Revision: 1598202
- new version 1.6.7

* Tue Feb 18 2020 umeabot <umeabot> 1.6.6-2.mga8
+ Revision: 1541958
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 1.6.6-1.mga8
+ Revision: 1475728
- new version 1.6.6

* Tue Sep 17 2019 daviddavid <daviddavid> 1.6.5-5.mga8
+ Revision: 1443103
- add patch to fix linking

* Tue Sep 17 2019 tv <tv> 1.6.5-4.mga8
+ Revision: 1442887
- "fix" underlinking which was the real (hidden) issue
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 1.6.5-3.mga8
+ Revision: 1430080
- drop python2 support
- provide cu2qu

* Thu Jan 10 2019 shlomif <shlomif> 1.6.5-2.mga7
+ Revision: 1354552
- bump rel for rebuild due to fail on i586
- fix tests
- add BRs
- add BRs
- add BRs
- add BRs
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1288559
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 1.5.0-1.mga7
+ Revision: 1226767
- imported package python-cu2qu

